/*
 * @Author: Kane
 * @Date: 2023-03-06 14:20:50
 * @LastEditors: Kane
 * @FilePath: /ts-practice/src/index.ts
 * @Description:
 *
 * Copyright (c) ${2022} by Kane, All Rights Reserved.
 */

// 索引类型
interface Point
{
    x: number;
    y: number;
}

type kes = keyof Point;
type name = "name";

const value: name = "name";

// 联合类型
interface Circle
{
    radius: number;
    area: number;
}

interface Rectangle
{
    area: number;
    wdith: number;
    height: number;
}

type Shape = Circle | Rectangle;

let a: Shape;
